<?php
namespace Elementor;

/**
 * Elementor Widget
 * @package Geroz
 * @since 1.0.0
 */ 
 
class Home5_Video extends Widget_Base {

	/**
	 * Get widget name.
	 * Retrieve button widget name.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'geroz-home5-video-widget';
	}

	/**
	 * Get widget title.
	 * Retrieve button widget title.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget title.
	 */
	public function get_title() {
		return esc_html__( 'Home 5 Video', 'geroz-core' );
	}

	/**
	 * Get widget icon.
	 * Retrieve button widget icon.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-flash';
	}

	/**
	 * Get widget categories.
	 * Retrieve the list of categories the button widget belongs to.
	 * Used to determine where to display the widget in the editor.
	 *
	 * @since  2.0.0
	 * @access public
	 * @return array Widget categories.
	 */
	public function get_categories()
    {
        return ['geroz_widgets'];
    }
	
	/**
	 * Register button widget controls.
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function register_controls() {

		$this->start_controls_section(
			'home5-video-content',
			[
				'label' => esc_html__( 'Video Content', 'geroz-core' ),
			]
		);	

		$this->add_control(
			'bg_image',
			[
				'label' => esc_html__( 'Background Image', 'geroz-core' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],
			]
		);

		$this->add_control(
			'title',
			[
				'label'       => __( 'Title', 'geroz-core' ),
				'type'        => Controls_Manager::TEXTAREA,
				'dynamic'     => [
					'active' => true,
				],
				'placeholder' => __( 'Enter your title', 'geroz-core' ),
				'default'     => __( 'Default Title', 'geroz-core' ),
			]
		);	

		$this->add_control(
			'button',
			[
				'label'       => __( 'Button', 'geroz-core' ),
				'type'        => Controls_Manager::TEXT,
				'dynamic'     => [
					'active' => true,
				],
				'placeholder' => esc_html__( 'Enter your button text', 'geroz-core' ),
				'default' => esc_html__('Read More', 'geroz-core'),
			]
		);	

		$this->add_control(
			'video_link',
			[
				'label' => esc_html__( 'Video Link', 'geroz-core' ),
				'type' => Controls_Manager::URL,
				'default' => [
					'url' => 'https://www.youtube.com/watch?v=pNje3bWz7V8',
				],
				'label_block' => true,
			]
		);


		$this->end_controls_section();

	
		}

	/**
	 * Render button widget output on the frontend.
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$allowed_tags = wp_kses_allowed_html('post');
		?>

	
		 <section class="video-wrapper video-2 has_fade_anim">
			<div class="video-bg bg-cover" style="background-image: url(<?php echo wp_get_attachment_url($settings['bg_image']['id']);?>);"></div>
			<div class="content">
				<h4><?php echo $settings['title'];?></h4>
				<div class="icon">
					<a href="<?php echo esc_url($settings['video_link']['url']);?>" class="video-popup">
						<i class="fas fa-play"></i>
						<i class="video-button-ripple"></i>
					</a>
					<span><?php echo $settings['button'];?></span>
				</div>
				<div class="arrow">
					<i class="fal fa-long-arrow-left"></i>
				</div>
			</div>
		</section>

             
		<?php 
	}


}

Plugin::instance()->widgets_manager->register_widget_type(new Home5_Video());